/*
 * Class IO_MEDIUM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_156 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_156 [] = {0xFF01,237,155,0xFFFF};
static const EIF_TYPE_INDEX egt_2_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_3_156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_6_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_7_156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_156 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_156 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_156 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_156 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_13_156 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_156 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_156[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_156), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_156), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_156), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_156), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_156), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_156), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_156), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_156), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_156), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_156), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_156), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_156), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0137 /*155*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_156), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6116, 4},
	{EIF_GENERIC(egt_13_156), 6117, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 6118, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 6119, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 6120, 36},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 6097, 10},
	{EIF_NON_GENERIC(0x0161 /*176*/), 6098, 6},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 6099, 28},
	{EIF_NON_GENERIC(0x0191 /*200*/), 6110, 12},
	{EIF_NON_GENERIC(0x0191 /*200*/), 6101, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 6102, 8},
	{EIF_NON_GENERIC(0x018B /*197*/), 6111, 5},
	{EIF_NON_GENERIC(0x0167 /*179*/), 6104, 24},
	{EIF_NON_GENERIC(0x0185 /*194*/), 6112, 44},
	{EIF_NON_GENERIC(0x019D /*206*/), 6113, 20},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6105, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_156), 6106, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6107, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 6108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 6109, 0xFFFFFFFF},
};
void Init156(void)
{
	IDSC(desc_156, 0, 155);
	IDSC(desc_156 + 1, 1, 155);
	IDSC(desc_156 + 32, 206, 155);
	IDSC(desc_156 + 34, 204, 155);
}


#ifdef __cplusplus
}
#endif
